## octave-vibes 0.2.0

=== DESCRIPTION ===
Name: vibes
Version: 0.2.0
Date: 2016-06-22
Author: Oliver Heimlich <oheim@posteo.de>
Maintainer: ENSTA Bretagne Robotics
Title: Interface to VIBes, Visualizer for Intervals and Boxes
Description: The VIBes API allows one to easily display results (boxes, pavings)
 from interval methods.
 
 VIBes consists in two parts: (1) the VIBes application that features viewing,
 annotating and exporting figures, and (2) the VIBes API that enables your
 program to communicate with the viewer in order to draw figures.
 
 This package integrates the VIBes API into Octave. The VIBes application
 is required for operation and must be installed seperately. Data types from
 third-party interval arithmetic libraries for Octave are also supported.
Depends: octave (>= 4.0.0)
License: GPL-3.0+, MIT

=== src/Makefile ===
SHELL = /bin/sh

## Copyright 2015-2016 Oliver Heimlich
##
## This file is part of VIBes' API for Octave.
##
## VIBes' API for Octave is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## VIBes' API for Octave is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with VIBes' API for Octave.
## If not, see <http://www.gnu.org/licenses/>.

__vibes__.oct: __vibes__.cpp
	$(MKOCTFILE) -o "$@" "$<"

=== debian/changelog ===
octave-vibes (0.2.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:00 +0100

octave-vibes (0.2.0-5) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 04:22:00 -0300

octave-vibes (0.2.0-4) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

  [ Sébastien Villemot ]
  * octave5.patch: new patch, fixes FTBFS against Octave 5

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 18:13:16 +0200

octave-vibes (0.2.0-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:09 -0200

octave-vibes (0.2.0-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1
    + Recommends octave-interval
  * d/p/skip-test-if-no-interval-pkg.patch: New patch
  * d/p/add-del-loadpath.patch: Adjust for having the PKG_{ADD,DEL}
    files in the arch-indep directory

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Aug 2018 20:00:35 -0300

octave-vibes (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #900689)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 11:23:29 -0300

=== debian/control ===
Source: octave-vibes
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               octave-interval
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/vibes/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-vibes.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-vibes
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-vibes
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Recommends: octave-interval
Description: VIBes API to easily display results in Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave
